from blackboard import *
from first_event_filter1 import Filter1
from first_event_filter2 import Filter2
from print_event_general_observer import General_observer
from second_event_general_filter import General_filter

blackboard = Blackboard()
blackboard.register_filter_first(Filter1)
blackboard.register_filter_first(Filter2)

for t in types:
    blackboard.register_filter_second((General_filter, t))
    blackboard.attach_observer_tuple((General_observer(), t))

blackboard.start()
